/*	Justin Fiedler
	MyImage.h
	Header file for MyImage.cpp
*/

#ifndef MY_IAMGE_H
#define MY_IMAGE_H

// The list of numbers of warning we will like to disable 
#pragma warning(disable : 4204)
#pragma warning(disable : 4244)
#pragma warning(disable : 4312)
#pragma warning(disable : 4311)
#pragma warning(disable : 4083)
#pragma warning(disable : 4193)
#include <Fl/Fl_Widget.h>
#pragma warning (pop) // Enable the warnings again
#include "TargaImage.h"

class MyImage : public Fl_Widget
{
  public:
	// Constructor and destructor
    MyImage(int x, int y, int w, int h, const char *label = 0);
    virtual ~MyImage(void);
	// Draw the image
    virtual void draw(void);
	// Modified the images
    void border(int thickness);

    TargaImage* image;
	int last_width;
};

#endif
